package email

import (
	"testing"
	"fmt"
	"git.loafle.net/overflow/overflow_proxy_service/proxy/member"
	"encoding/json"
)

func getEmailObj() (*Email,*EmailService) {
	es := NewEmailService()
	m := member.Member{
		Email:"geek@loafle.com",
		Name:"geek",
		Company:"loafle",
		Id:json.Number("4"),
	}
	e := NewEmail(m, "Hello Oveflow")

	return e,es
}
func TestSendEmailForAuth(t *testing.T) {
	e, es := getEmailObj()

	es.SendEmailForAuth(e)
}

func TestEmailService_CheckAuthURL(t *testing.T) {

}
func TestAuthTokenGeneration(t *testing.T)  {

	e, es := getEmailObj()
	tt := es.generationAuthToken(e)

	fmt.Println(tt)
}
